[arch-commits] Commit in gjs/repos (4 files)

Jan Steffens heftig at archlinux.org
Fri Apr 21 21:39:21 UTC 2017


    Date: Friday, April 21, 2017 @ 21:39:21
  Author: heftig
Revision: 293852

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gjs/repos/testing-i686/PKGBUILD
    (from rev 293851, gjs/trunk/PKGBUILD)
  gjs/repos/testing-x86_64/PKGBUILD
    (from rev 293851, gjs/trunk/PKGBUILD)
Deleted:
  gjs/repos/testing-i686/PKGBUILD
  gjs/repos/testing-x86_64/PKGBUILD

-------------------------+
 /PKGBUILD               |   88 ++++++++++++++++++++++++++++++++++++++++++++++
 testing-i686/PKGBUILD   |   44 -----------------------
 testing-x86_64/PKGBUILD |   44 -----------------------
 3 files changed, 88 insertions(+), 88 deletions(-)

Deleted: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2017-04-21 21:38:51 UTC (rev 293851)
+++ testing-i686/PKGBUILD	2017-04-21 21:39:21 UTC (rev 293852)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.1+5+ga8e4c71
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-arch=(i686 x86_64)
-url="http://live.gnome.org/Gjs"
-license=(GPL)
-depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
-makedepends=('gobject-introspection' 'git' 'gnome-common')
-_commit=a8e4c71a3e582d30962438c1affdbebf0cf2e690  # gnome-3-24
-source=("git://git.gnome.org/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/testing-i686/PKGBUILD (from rev 293851, gjs/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2017-04-21 21:39:21 UTC (rev 293852)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.2
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=740963c5023763bf468251819b5cc7eced1914fa  # tags/1.48.2^0
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2017-04-21 21:38:51 UTC (rev 293851)
+++ testing-x86_64/PKGBUILD	2017-04-21 21:39:21 UTC (rev 293852)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.1+5+ga8e4c71
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-arch=(i686 x86_64)
-url="http://live.gnome.org/Gjs"
-license=(GPL)
-depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
-makedepends=('gobject-introspection' 'git' 'gnome-common')
-_commit=a8e4c71a3e582d30962438c1affdbebf0cf2e690  # gnome-3-24
-source=("git://git.gnome.org/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/testing-x86_64/PKGBUILD (from rev 293851, gjs/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2017-04-21 21:39:21 UTC (rev 293852)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.2
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=740963c5023763bf468251819b5cc7eced1914fa  # tags/1.48.2^0
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list